/*!
 * © 2022 David Vines
 *
 * Creative Commons License
 *
 * This work is licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.
 */
/* globals Character:true, options, exporttables, saveAs, character */

// Dummy functions since, when exporting the skill tables there is no JSON field to update - but common.js will call it as necessary anyway

for(let charindex = 0; charindex < options.ids.length; charindex++) {
    Character.initPage(options.ids[charindex]); // get the skills loaded and the character array populated for all characters on this page
}

for(let table in exporttables) {
    const cids = exporttables[table];
    const exportbutton = document.getElementById("djvexporter"+table);
    const make = Character.makeMultipleSkillPages;
    exportbutton.onclick = Character.returnFalse(function() {
        let chars = [];
        for(let cid of cids) {
            const tickbox = document.getElementById("djvcheckbox"+cid);
            if (tickbox.checked) chars.push(character[cid]);
        }
        let blob = make(chars).output('blob');
        saveAs(blob, "multipleCharacters.pdf");
    });
}